NSX-T Data Center REST API
Create Tier1 service instance
Create Tier1 Service Instance.Please note that, only display_name, description and deployment_spec_name
are allowed to be modified in an exisiting entity. If the deployment spec
name is changed, it will trigger the upgrade operation for the SVMs.
Request:
Method:
PATCH
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/locale-services/{locale-service-id}/service-instances/{service-instance-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PolicyServiceInstance+
Example Request:
PATCH https://<policy-mgr>/policy/api/v1/infra/tier-1s/it_t1/locale-services/default/service-instances/T1-PSI-1 { "resource_type": "PolicyServiceInstance", "description": "NS Service_for_VMC", "display_name": "T1-PSI-1", "partner_service_name": "NS Service_for_VMC", "context_id": "84e08a3b-5f4c-482f-b76f-ad0d97ae16c3", "compute_id": "resgroup-9", "storage_id": "datastore-12", "primary_interface_network": "/infra/tier-1s/it_t1/segments/it-t1-seg", "primary_interface_mgmt_ip": "172.16.14.105", "secondary_interface_network": "/infra/tier-1s/it_t1/segments/it-t1-seg", "secondary_interface_mgmt_ip": "172.16.14.205", "failure_policy": "BLOCK", "deployment_spec_name": "NS_DepSpec", "deployment_template_name": "NS_DepTemp", "attributes": [{ "attribute_type": "STRING", "display_name": "License", "key": "LicenseKey", "value": "Randon Value" }] }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a